//
//  ProductInfoEditingWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

enum ProductInfoEditingStyle {
    case create
    case edit
}

final class ProductInfoEditingWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "ProductInfoEditing", bundle: nil)

    // MARK: - Module setup -

    init(style: ProductInfoEditingStyle) {
        
        let moduleViewController = storyboard.instantiateViewController(ofType: ProductInfoEditingViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = ProductInfoEditingInteractor()
        let presenter = ProductInfoEditingPresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension ProductInfoEditingWireframe: ProductInfoEditingWireframeInterface {
}
